<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="./style.css">
    <script type="module" src="./script.js"></script>
    <!-- <script type="module" src="./ContactsApi.js"></script> -->
</head>
<body>
    <form class="contacts-form">
        <div>
            <label for="name">Name</label>
            <input type="text" id="name">
        </div>
        <div>
            <label for="surName">Surname</label>
            <input type="text" id="surName">
        </div>
        <div>
            <label for="phone">Phone</label>
            <input type="text" id="phone">
        </div>
        <input name="id" type="hidden" />
        <button id="addItem">Add Contact</button>
    </form>

    <table id="contactTable">
        <caption>Contacts List</caption>
        <tbody>
        </tbody>
    </table>

    <script id="contactTemplate" type="text/template">
        <tr data-id="{id}">
            <td>{name}</td>
            <td>{surname}</td>
            <td>{phone}</td>
            <td><button class="edit-contact">Edit</button></td>
            <td><button class="delete-contact">Удалить</button></td>
        </tr>
    </script>
</body>
</html>